#include "oven.hpp"

#include <iostream>

Oven::Oven()
{
	turnEverythingOff();
}


void Oven::setHeaterDutyCycle()
{
	
}

void Oven::turnOnHeater()
{
	std::cout << "Oven::turnOnHeateri()" << std::endl;
}

void Oven::turnOffHeater()
{
	std::cout << "Oven::turnOffHeater()" << std::endl;
}

float Oven::getTemperature_C()
{
	return 0;
}

void Oven::turnOnAirCirculation()
{
	std::cout << "Oven::turnOnAirCirculation()" << std::endl;
}

void Oven::turnOffAirCirculation()
{
	std::cout << "Oven::turnOnffAirCirculation()" << std::endl;
}

void Oven::turnEverythingOff()
{
	turnOffHeater();
	turnOffAirCirculation();
}

